//
//  ViewController.swift
//  ex_SegumentedControl
//
//  Created by yoshiyuki oshige on 2014/11/09.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    // ビューのプロパティ宣言
    @IBOutlet weak var colorChip: UIView!
    
    // 色を選び直した
    @IBAction func changedColor(sender: UISegmentedControl) {
        // 選ばれているインデックス番号で処理を振り分ける
        switch sender.selectedSegmentIndex {
        case 0:
            self.colorChip.backgroundColor = UIColor.blueColor()
        case 1:
            self.colorChip.backgroundColor = UIColor.yellowColor()
        case 2:
            self.colorChip.backgroundColor = UIColor.greenColor()
        default:
            self.colorChip.backgroundColor = UIColor.blueColor()
        }
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

