//
//  ViewController.swift
//  func_RGBA
//
//  Created by yoshiyuki oshige on 2014/09/01.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    // ビューのプロパティ宣言
    @IBOutlet weak var colorChip: UIView!
    // 色を選び直した
    @IBAction func changeColor(sender: UISegmentedControl) {
        switch sender.selectedSegmentIndex {
        case 0:
            // うぐいす色
            let uguisuiro = self.RGBA(R: 145, G: 141, B: 64, A: 1.0)
            self.colorChip.backgroundColor = uguisuiro
        case 1:
            // 藍色
            let aiiro = self.RGBA(R: 15, G: 84, B: 116, A: 1.0)
            self.colorChip.backgroundColor = aiiro
        default:
            self.colorChip.backgroundColor = UIColor.lightTextColor()
        }
    }
    
    // RGB（0〜255）+ Alpha（0.0〜1.0）をUIColorに変換する
    func RGBA(#R:Int, G:Int, B:Int, A:CGFloat) -> UIColor {
        let r = CGFloat(R)/255.0
        let g = CGFloat(G)/255.0
        let b = CGFloat(B)/255.0
        // UIColorを作る
        return UIColor(red: r, green: g, blue: b, alpha: A)
    }
                            
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

