//
//  ViewController.swift
//  ex_TextField_returnKey
//
//  Created by yoshiyuki oshige on 2014/09/04.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

// UITextFieldDelegateのデリゲートプロトコルを追加する
class ViewController: UIViewController, UITextFieldDelegate {
    
    // テキストフィールドのプロパティ宣言
    @IBOutlet weak var myTextField: UITextField!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // myTextFieldのデリゲートになる
        self.myTextField.delegate = self
    }
    
    // 改行が入力された（デリゲートメソッド）
    func textFieldShouldReturn(textField: UITextField) -> Bool {
        // キーボードを下げる
        self.view.endEditing(true)
        return false // 改行は入力しない
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

}

